GNU bug report logs - #50699
28.0.50; Assertation failed when built with checking and mouse face is set to :box 0

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Po Lu <luangruo@HIDDEN>; Keywords: fixed; dated Mon, 20 Sep 2021 11:30:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) fixed. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50699 <at> debbugs.gnu.org:


Received: (at 50699) by debbugs.gnu.org; 21 Sep 2021 00:36:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 20 20:36:05 2021
Received: from localhost ([127.0.0.1]:44327 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mSTlV-0004vD-2e
	for submit <at> debbugs.gnu.org; Mon, 20 Sep 2021 20:36:05 -0400
Received: from sonic306-22.consmr.mail.ne1.yahoo.com ([66.163.189.84]:37565)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1mSTlT-0004uc-03
 for 50699 <at> debbugs.gnu.org; Mon, 20 Sep 2021 20:36:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1632184557; bh=Q68l80OOtijfkfLE4fr8+J1vLBxFfHlfswn5VWNLetQ=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=A4z+y9hKf8rPeYH2sheXlXp32BqGSaMr2Yu8MU3ggh+9nk5VuMSFjSUXMO9D43IoK5OX8nGrHr0FIiSickmClvcTrf60qJv70UuNSoeVNVzgyQgHVVJefnkXjiABsIKfO/oJCafqKoKtYtGcJefFw4RYuS4/SXv+DIh6yCPWYJI6hISJ4+Vj3P4Ao/GpFGIALDoBx55rJsMC75JO/yoXSOfnUOI7LqwfPSCOuaq/HparKzgl+he/u5wHauTfZovCXn0G+0N4qjIh8LjpfHCUVR1BhNz4++7Zs/oncKeve/nu+ChunXSOqt8LjHzSFPIuie2MOBTmtku01PvkiuvwVw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1632184557; bh=AVZpNv9IQg4BEDwSjAgjJ+eQbfiCH2Rz2tWHZZLZLYS=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=jwMQABf4fFMlcHB/eYqgY53j9lx0L+IG6E71orpLSzLdse3MWsAtf9iF0RMsMpzENB0wGV8GnYyHg4K1WFHhWqmL5oUAQB9h94UY0P1OHiweDMOrMAkT89dgWtr6BTcxslBDVHRRxm1Ap8Kl+v0KcDz2TCkJnNIKyNJlZfWdUo0QOSl3zgPVGSYD76YE1rPB4zgikP/3HOMMjJSqx0nHYprzm4CAz+DywPkEnvCI/Tox/3jCQKBR5GV5IVNL64G8jzK/s/fj3a7k3RdzH5QWCPhn9t0/5d8yi0WXDh0PJxjk7AqxFruCByW5cp5LDD4oTS8aOSk+dbjYK5uioxaLEg==
X-YMail-OSG: nrU6rAYVM1l_SmdRHr9tV076VzNH.emvYpmszg8BwHq9s54FWvSqumUsNRPRV7V
 jM1YT8AStfKhzz9PaKWMcaHV0w8yDnz_gkx18EVlNXfPU8jnisL0NXriCCe8seh5bapuLxHOiECD
 YgCphhFTRSFLLsi_tZgokD68JLaxQRY4YVZT0OnHQE9.dQU_ZhyM_bWdhodCPz2twuyVs2ZpI9yX
 V6BaybcbtYqyu0ntk9339q4iCxJDfYXzf9QqH5SuMvQfIdNSe07yQWOR7dLjvzHNq4WRQY8WAigw
 sDNA8tYBdKLrksvGgI0woxjPNJf3Cd01VWEocvftLTtSaUN0dIwm6yVYbHzJYGfQCu9jK1MBQ91Q
 vIT3r_xV0MXaOJgd8GQSORwaSH6wVdvx9PxKP0Prf44Y7mZRdZ2qeym3bsRsnyR19s3KUpKMMQmk
 bcrpyoYXtGoYncsemolAfxodx05..dZWhgeWxT25RXIa3NuzYdW9wLzPL.3acca0MN37PwZ8F0lQ
 i211Hy1lWnpS2p6KlmC4ij.GGn6AIxXDQqe_WdV7L8EnWFtPMbwjIxh9Pb3a4fM4o7IYeyiJ5K0u
 YCP15E19QXMXb6mfh0iqu2rqOmlH.oiW11kIxIMBEjZcwaANDfBPKr8Te6_jrn_Dk9IANneA7jqt
 rL.LZ2UgXVo8xGAW.cWhYwCZe3tBRPAuNl6aOLjVJetA3RjC3YhVsrvmYSg9JFb_wFFKyhfjIWqK
 jRfXfJRy1uPVS_L3FgGMsR13UpiC0J2pNMTWvagNQ3kFcNQncSkaG5ULLLbp8hTuHpsF2cgdlA2y
 l5oW9pwPAmBJkrHUUdhqUWroycBhn9wJLmNtYuAKpe_qrDo5nuHlBi1gy_nJC6dij8qern7v5VfX
 Wz33vYq2mECRu6lKXHec5adJT_pAmCNgJED66oH_NNdP_COoqFQS0iK7Ckfn1JKG2w1Z99gXVro5
 dL.6J1GNVTUUMQWx0k34feJ7katliZym4oz485KRx6F5p.RWvDwVuZS651qXVrfViS1CXWoGLFOi
 JL8S25gqRcd_7EYRJ4xh9p5a511kuAD4lvP7Z7tYMQkWqMLMiFCYjzrxS4AgNWruYE6ZyQOzIAdG
 rG7tknPD4_SSQjB8zz33LtjmwqEo8k0RVvjwhppgFJnG8P8w5pDPvP7R3SKfDn7z4NH3uREujbrv
 ABDUUyaMnlT6_Y5iuongICm8yjJeAldccejJ5Nf3f2dIrU5e5nWSRI6Lt73eSPyYuxj25MlPw0_X
 q5lwzv_YSdwxmOyPtcH8eq3Fped2tx7Q9cnxy05KUB3sMfzKVoRWofFxuxFWHTLvPGKfd0vv.QvW
 kordGW9bYIeyj1TOe1A_fL_t9wy9_9MDIyRZYrWIKkMe4WM_TliuufD_xBOmPvn0Rfg2biTALGUy
 9k1un_oJA91scNgPyAIJ_JD26oHirAUcp3XCbH9BHGOuNqNlL1NfU5YRUp_p1rSm3pjxDgtoCsVd
 4yRV9I0lK5smrNbm4YsKut6xXy86D1lKlQGdJ_Hq91ECN4DiVRge5rSkx8WIAW3VsWnhOk09pfl4
 FKltLTOZlsiARvvGB8LYZ9i383mz_CT98y02c4iUhSimwxaLVTT1jBinohxNl14NVs7Ql38j1Dah
 M7G_3SBgjUdCyH1hg8h_IXiw5x3YJpIiucrOD7esQQjqq9gRnxqFdZ6L4EBq4LojxjpMlYhmXFzE
 8vyEFVaFzcfeSmtKbA1EqUGwTaVD9oJVS.2RnanHxWRg69.fy113Ea1Fyn9rVnBBGqBi8eTPEIm3
 xAPyqQGMbftweN7j2R.SGo4GMEnnIngv10AsUVm6TMLjguZ9V6eHlkvo79xLYFJDccI27wDHvMFx
 5UVHS.erx..QYxXaDXwO6Q4jGm354BmrQ0ztpKujfZI.QmEpapnNR8SJ1ncK9ZVtRDcv41va6U03
 945teFWsHJU_ExmJzsP2V1GPdZYG2k_7dhukznlFKJvuE5nZFMAhTE8u2t51bCLCCNjigsw54hOn
 FRjxHttmcUoWfGcqNOucknZlJx8BlYOkloiAA9_4Q1qs21jaJWnIM5DrZrN1z_wdOdy8ghzI08LA
 O1zZp59bz58kWvmwLQtXWew_v7_pKB49JIMSMbpEyr3.Yx3iysrbaoeOvatbwS93y35ztzUhedkA
 FFhMcHxzkAlylX6wSZ1SVcIVtONyE66mePnCqlT2CtzkMydSn5HdBNaLHzJqfq8kvDDLv1QNv1pF
 eSID7ueDXnp09VH0pzygidOxzleklWCPkamvwHXnQvNo9VH_p3hCyOmVUaqWEdTEIb2jYLxDJkaF
 t1PIizPj4dKODI.htbQ--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic306.consmr.mail.ne1.yahoo.com with HTTP; Tue, 21 Sep 2021 00:35:57 +0000
Received: by kubenode515.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 0bf10aa6bb4f056eb8943e34e96c4ceb; 
 Tue, 21 Sep 2021 00:35:52 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50699: 28.0.50; Assertation failed when built with checking
 and mouse face is set to :box 0
References: <874kaf4h94.fsf.ref@HIDDEN> <874kaf4h94.fsf@HIDDEN>
 <83pmt31ln7.fsf@HIDDEN>
Date: Tue, 21 Sep 2021 08:35:48 +0800
In-Reply-To: <83pmt31ln7.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 20 Sep
 2021 15:23:08 +0300")
Message-ID: <87wnna3guz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19043
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 101
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50699
Cc: 50699 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Thanks, should be fixed now.

Works as advertised, thanks :)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50699; Package emacs. Full text available.

Message received at 50699 <at> debbugs.gnu.org:


Received: (at 50699) by debbugs.gnu.org; 20 Sep 2021 12:54:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 20 08:54:27 2021
Received: from localhost ([127.0.0.1]:41219 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mSIoV-00078X-BA
	for submit <at> debbugs.gnu.org; Mon, 20 Sep 2021 08:54:27 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56490)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mSIoT-00078K-Iu
 for 50699 <at> debbugs.gnu.org; Mon, 20 Sep 2021 08:54:26 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58644)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mSIoO-00068w-A1; Mon, 20 Sep 2021 08:54:20 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3436
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mSIoN-0006JV-UC; Mon, 20 Sep 2021 08:54:20 -0400
Date: Mon, 20 Sep 2021 15:54:11 +0300
Message-Id: <83mto71k7g.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: luangruo@HIDDEN
In-Reply-To: <83pmt31ln7.fsf@HIDDEN> (message from Eli Zaretskii on Mon, 20
 Sep 2021 15:23:08 +0300)
Subject: Re: bug#50699: 28.0.50;
 Assertation failed when built with checking and mouse face is set to
 :box 0
References: <874kaf4h94.fsf.ref@HIDDEN> <874kaf4h94.fsf@HIDDEN>
 <83pmt31ln7.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50699
Cc: 50699 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 20 Sep 2021 15:23:08 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: 50699 <at> debbugs.gnu.org
> 
> > When I set the box of the mouse face on a section of text to 0, such as
> > with (insert (propertize "abc" foo 'mouse-face '(:box 0))), and move the
> > mouse over that, and I build with enable-checking, Emacs crashes with:
> > 
> > xfaces.c:5976: Emacs fatal error: assertion failed: XFIXNUM (box) != 0
> > Fatal error 6: Aborted
> 
> Thanks, should be fixed now.

Btw, there's a lot of strange stuff going on with this.

First, we accept (:box N) and (:box (N . M)) forms, but they are not
documented.  The form (:box (:line-width (N . M))) is also
undocumented.

Second, we disallow zero in (:box 0), but allow it in (:box (0 . 0))
and also in (:box (:line-width 0)) (and handle them as if 1 was
specified instead of zero).

It looks like this didn't change since Emacs 21, so it isn't bitrot of
any kind.

Does anyone know why we have these strange inconsistencies?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50699; Package emacs. Full text available.

Message received at 50699 <at> debbugs.gnu.org:


Received: (at 50699) by debbugs.gnu.org; 20 Sep 2021 12:23:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 20 08:23:26 2021
Received: from localhost ([127.0.0.1]:41177 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mSIKU-0006Mj-9H
	for submit <at> debbugs.gnu.org; Mon, 20 Sep 2021 08:23:26 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49506)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mSIKS-0006MW-Kv
 for 50699 <at> debbugs.gnu.org; Mon, 20 Sep 2021 08:23:25 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58056)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mSIKN-0003DN-GY; Mon, 20 Sep 2021 08:23:19 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1487
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mSIKM-0005hl-Hq; Mon, 20 Sep 2021 08:23:19 -0400
Date: Mon, 20 Sep 2021 15:23:08 +0300
Message-Id: <83pmt31ln7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <874kaf4h94.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#50699: 28.0.50;
 Assertation failed when built with checking and mouse face is set to
 :box 0
References: <874kaf4h94.fsf.ref@HIDDEN> <874kaf4h94.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50699
Cc: 50699 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 20 Sep 2021 19:29:43 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> 
> When I set the box of the mouse face on a section of text to 0, such as
> with (insert (propertize "abc" foo 'mouse-face '(:box 0))), and move the
> mouse over that, and I build with enable-checking, Emacs crashes with:
> 
> xfaces.c:5976: Emacs fatal error: assertion failed: XFIXNUM (box) != 0
> Fatal error 6: Aborted

Thanks, should be fixed now.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50699; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Sep 2021 11:30:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 20 07:30:00 2021
Received: from localhost ([127.0.0.1]:41104 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mSHUl-0000hl-LU
	for submit <at> debbugs.gnu.org; Mon, 20 Sep 2021 07:29:59 -0400
Received: from lists.gnu.org ([209.51.188.17]:41932)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1mSHUk-0000he-7I
 for submit <at> debbugs.gnu.org; Mon, 20 Sep 2021 07:29:58 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55824)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <luangruo@HIDDEN>)
 id 1mSHUj-0001NR-Ki
 for bug-gnu-emacs@HIDDEN; Mon, 20 Sep 2021 07:29:58 -0400
Received: from sonic310-23.consmr.mail.ne1.yahoo.com ([66.163.186.204]:34917)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <luangruo@HIDDEN>)
 id 1mSHUh-0007gP-8W
 for bug-gnu-emacs@HIDDEN; Mon, 20 Sep 2021 07:29:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1632137392; bh=7qKBS+yKyiuyEU4H7xdav55XHMLK42i3pQB94CBCGJg=;
 h=From:To:Subject:Date:References:From:Subject:Reply-To;
 b=LSC80HB9WKWE2B3k/P48oYj9sO2NNhSCEIc8RZzRyOrMekysEw2o0YaXkcC/snPvuC9zdj5zIyWbntkLmRT9PNDgQTYsP6xwJ/xTdPaoYXASRu0bhLrcxm/0Jy3JL3SiQT3fTzLkcXKoc4cVutpaLl/cKXDWMWYalWZ2uTHQ7MJoICSPeEh7HM/N3KOe/RKGBwiEKG9yIRFuRX6PRqqWx4BgtAfqqOxyv1cpWT5+6ejaquJhI9kTU1LvvyxXExwMwJQ6AZmP6C5fbxUXsnGiB8JQUqOGF3KNKWQ0fpO4gzu51cqSBwCdVAj7o+pt9dZrjmctlIque6DzO1pztPZYSA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1632137392; bh=TEZHwv5ZvhCSYy+r2U54mAZpfRkA2PFezCHdz8SWYde=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=gKZDEw6gjTyjH3KxM2OZXcX+vgmDgH1joQX8QM5bUy/Du62o5oJY1G9i8TsDrDqObDa7i678wijInR+DjN5ZMqM75hMt1drXqDmHkCKSgnTqIfy7cVPxS52EQY+JQLFyBosA4vmfICOuhdb4h3M0Yzf6Gr7Z1bhcqJ3Viig/8qY50MUcJ3KZK4LE8586DNnm04vZhyMBkUhVZqgqg1f/FAQR41uLOURy01xYGfsDzyoeeEawSQVuXsmEaOpCPnOhXxM0VnFuyKmLcIm1kiox2U7RGmolTNIBVm1paAaKHNUfYSgT0YU8WxQtb3NadbR2v2q1PU4tiKHdUn1dkavWUQ==
X-YMail-OSG: cfIBwf8VM1n4tZN3cCW7.JZj3kHskt8LRARXX5Z254jfKu37yv5WLESbUYQaRx2
 QycSpEH..WBGttQbWwkwxNyBblSopsCSolboJK4F91PsiX8_euOTPsJz8h.0fYt8YxeyWzjPvZX_
 JaeIkk31ibUFyfdgOVd9Ec7rQXGSIGUpeaRAGyV1Ecw1dGZgA0XQlGkUIT2CXCO9WWcCIkIvmlvY
 Ze3Z7BCfUvFelsiX76E9zF0wYAqaPJrxU4RfC5PAoO1RHK.OOUdAdUV.tEsP9xHgQ3OBLXO21W74
 DH5rZ67fAajKuB7J0AKLWDEdRpVLgCyLPVGgaC5S2sUa8AorkBqD9afbFiX8yfAHnaRqtIX_p7C9
 h58MqLNG1vnIYnk0e6ddoY2aHvkUKuCT5A7tslhawjVWHicnOEtZWfDMVOmXdTjYWW_AcUiO4j5w
 JVwDCF3tKwfi1HG_yIWhWFOQ6rma8VIOLdWMuAJz.tLJbhPQbJdVTHeAaZmGaLkSus_FtPzfJzZm
 Ul8fkuo9xWiP.9crTBUgjpWvqDpIsRF6voqP5VF_XiP3VXvLdSN5igGTuB8vcgfBOhkt_R32rYtT
 qQ_AnYGLpBozXXkQ9GCQxgOELnFj2cVI5o5IxDTm8lGTjM0efmwdg4jPc_fzkheZNCPl6NkFOdeZ
 X0Z9dLRFLr9xHvz2jg5X9nC68XF.JH6ctRjgKygg1T6W0iMasGAXrXtHfLkiaYCRJqIyugPTzuj2
 xODhXW3_GSH9hSG8J9S3QULAcuTe8Q2R8GryeA1GOFIMJwd4WLRfPlPo_AC5TWrOGdfW7lobsp2e
 rRlOt0Tj.Cqa.80jgZWU6XZJim4WOU2.6zEPJKMHHkke8YazkfxE.pk7c6gQ1n.1F.32CltiHdIy
 nKv4U.p6fv9LYAW9AZZ8BB6KlZ.uL6JWrq.SSJgvNaJEmjXv0SZ4F1BGWz76nf16jSsPGcNX4Pu4
 UA.cBbYmbNcd8vwVyoReYOd8fOwUDrUuI6Wt4nz2KYIl_7xODOzOJrbV5NRQvWsIjwp6dW0zUC9d
 i5SWY3PlYA05qZEFkZkn8pe5TNrl8N08hQISckE76k9Nze6pQPdWN3F4HiIHYl3qdQk2fxE1Uzay
 y0SuJZWuGzhwSQ45Eu7NGErBRCCvXtGd.v0O1m8oHmdab09BeB5KiEhfZa.zIW_V_JH_VTdRtkry
 vd5gOytAtxAcSW4t1e5KKEnGfirQ7wIWQmNZEDeOScwDnCkU7ErQS.zqVYvQjN7fSTR1TwU0peUV
 OURKZfIpAfu5FQUF4kLtcFYxMnxGkFQjCzgGClluG2xqWhGe707.WBxqBF2FfNCcFXvTQz02XqVy
 WGaZA_g4nGiBBDolmwE_gz13IY1.J12Ps8PBCu9fkHd5PmwqZ5_uUOUfhCgZ.swyq8j7OInLk36j
 3_iRLdfFSdylPyGduq3bQm23pi.2EOMp_zccaF3kaT6DeIE0UB.Db.pv5PWlHuZh1IdylXFQ2gK2
 9ikqj4IKmLlLf7V_4PuXt3SwziUOwQfUbH6jI.RiJxZloFO7a.oj1FUDzF7JZIKzvAuXCLgj4mEI
 ZKlekjhRaudnGHXr_qVifyihUuDNsodIcmotPZKKEJTHMtSwxtRV9WpfLfa22_2ReRgotdv6ATM7
 DQtiQ.IgAlrMp4wOlK7o_3gnwFUJv.xgBSJSahVDFLV7I0X2Ca5yqypcVC1u4iqAuiv40jF8rGIc
 a9zEiSEKLe6RqLtPJ.6_DHHPfYKMKCdzA02O4wJO.lwN_lJCeJlErUEHxBnjVQ03Iv12R..SW_Oj
 txvhMBRjOYIDVKKS6Y1JqyKOlWyh9erJ3xMtahDub0FxqK88.ICIODx_hdI4BV03hkYHM6h.Jzpn
 Fd064TkC2mLGoJdRCyLX4mPgWWn6i_sgPqgfFnoNe1LDZPoaXVaZ7DbFY4K5sj3UfbCBW3kgHSHN
 eerz45STiNUvTnExb2ULq_K30aOwr1jrZ8CXPorWMWQltXmYVlcW2AgZXLIXZ_w8IGPHNOClHyxl
 _L5y96dHC0G1H8jAlxRmWpHxOeKI10_GJmF24jGh8rLbBVPoMvyf1pix94iRqcnMJ9yVrcXGGSt8
 0BJfJN24abVAHh7tTNQd6GCC_hjQtqgWAf.a3xzqsiVzwnZKigJxtGanHnT15i1KlohLk_LUDZGt
 5qQqPQmdNX42c8tc0FvpQ6NwB_6IE7fE_8I5jqN45fU6pyvwqy0POtZCAeVB1zYSoMDGUCXFMEVU
 VZNMvj70g7SiRs6lwgQcsz4e.AXDiO1WkynxVBaJ7R9bGH9Qbsq.on7yuIl.50e005HGG8Q--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic310.consmr.mail.ne1.yahoo.com with HTTP; Mon, 20 Sep 2021 11:29:52 +0000
Received: by kubenode517.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 0a4d93b5673b09bf9bf36e8d7f4298f5; 
 Mon, 20 Sep 2021 11:29:46 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; Assertation failed when built with checking and mouse face
 is set to :box 0
Date: Mon, 20 Sep 2021 19:29:43 +0800
Message-ID: <874kaf4h94.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
References: <874kaf4h94.fsf.ref@HIDDEN>
X-Mailer: WebService/1.1.19013
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 3736
Received-SPF: pass client-ip=66.163.186.204; envelope-from=luangruo@HIDDEN;
 helo=sonic310-23.consmr.mail.ne1.yahoo.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)


When I set the box of the mouse face on a section of text to 0, such as
with (insert (propertize "abc" foo 'mouse-face '(:box 0))), and move the
mouse over that, and I build with enable-checking, Emacs crashes with:

xfaces.c:5976: Emacs fatal error: assertion failed: XFIXNUM (box) != 0
Fatal error 6: Aborted

In GNU Emacs 28.0.50 (build 57, i386-pc-solaris2.11, X toolkit, Xaw scroll bars)
 of 2021-09-19 built on beached-whale
Repository revision: bc59c98f096f7d01cbccf98d4fdd9c3f0385e896 (please
 ignore this, I reproduced the bug on latest master)
Repository branch: HEAD
Windowing system distributor 'The X.Org Foundation', version 11.0.12101002
Configured using:
 'configure --with-gnutls=ifavailable --disable-acl'

Configured features:
GIF JPEG MODULES PDUMPER PNG THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE
XIM XPM LUCID ZLIB

Important settings:
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Shell

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t

Features:
(shadow sort mail-extr emacsbug message rmc puny rfc822 mml mml-sec epa
derived epg rfc6068 epg-config gnus-util rmail rmail-loaddefs mm-decode
mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
mule-util rect cus-start cus-load pixel-scroll smerge-mode diff
whitespace term disp-table ehelp pulse color vc-mtn vc-hg vc-bzr vc-src
vc-sccs vc-svn vc-cvs vc-rcs thingatpt etags fileloop generator xref
project noutline outline dired-aux dired dired-loaddefs cl-extra
help-mode tabify imenu man time-date shell pcomplete compile
text-property-search gdb-mi gud comint ansi-color ring misearch
multi-isearch vc-git diff-mode easy-mmode vc vc-dispatcher bug-reference
cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine
cc-vars cc-defs edmacro kmacro sly-autoloads info package browse-url url
url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util mailcap url-handlers url-parse auth-source cl-seq
eieio eieio-core cl-macs eieio-loaddefs password-cache json subr-x map
url-vars seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib
iso-transl tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads
dynamic-setting x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 8 319550 36788)
 (symbols 24 15660 1)
 (strings 16 56375 3223)
 (string-bytes 1 2028150)
 (vectors 8 30879)
 (vector-slots 4 461927 37450)
 (floats 8 160 205)
 (intervals 28 45544 746)
 (buffers 564 43))




Acknowledgement sent to Po Lu <luangruo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50699; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 21 Sep 2021 15:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.